Bug 1663408 - [ALL LANG][RHSM CLI] Unlocalized message in service-level module.
Summary: [ALL LANG][RHSM CLI] Unlocalized message in service-level module.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: subscription-manager
Version: 8.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: candlepin-bugs
QA Contact: Red Hat subscription-manager QE Team
URL:
Whiteboard:
Depends On: 1682763
Blocks: 1725525
TreeView+ depends on / blocked
 
Reported: 2019-01-04 08:36 UTC by Lijun Li
Modified: 2021-02-01 07:31 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1725525 (view as bug list)
Environment:
Last Closed: 2021-02-01 07:31:38 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github candlepin subscription-manager pull 1898 0 None closed Sync the syspurpose on runs of each relevant command 2020-10-22 08:35:57 UTC

Description Lijun Li 2019-01-04 08:36:06 UTC
Description of problem:
[ALL LANG][RHSM CLI] Unlocalized message in service-level module.

Version-Release number of selected component (if applicable):
subscription-manager-1.23.8-11.el8.x86_64.rpm

How reproducible:
100%

Steps to Reproduce:
1. Install latest rhel8 workstation build.
2. Run rhsm cli from terminal.

Actual results:
# subscription-manager service-level -h
使用:subscription-manager service-level [选项]

这个系统的管理服务等级

选项:
  -h, --help            显示此帮助信息并退出
  --proxy=PROXY_URL     代理服务器 URL 的格式为 proxy_hostname:proxy_port
  --proxyuser=PROXY_USER
                        使用基本验证的 HTTP 代理服务器的用户
  --proxypassword=PROXY_PASSWORD
                        使用基本验证的 HTTP 代理服务器的密码
  --noproxy=NO_PROXY    跳过 HTTP 代理的主机后缀
  --username=USERNAME   在服务器中进行验证时使用的用户名
  --password=PASSWORD   在服务器中进行验证时使用的密码
  --org=ORG_KEY         在列出可用服务等级时,使用机构密钥指定一个机构。只能与 --list 合用。
  --set=SET             Set service_level_agreement of system purpose
  --unset               Unset service_level_agreement of system purpose
^^^^^^^^^^^^^^^^^^^^^^^^^^^^Unlocalized messages.
  --serverurl=SERVER_URL
                        服务器 URL格式为 https://hostname:port/prefix
  --insecure            不需要根据有效证书授权机构检查权利服务器 SSL 证书
  --show                显示这个系统的当前服务等级
  --list                列出所有可用服务等级

# subscription-manager service-level --set="Premium"
service_level_agreement set to "Premium".
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^Unlocalized message.

# subscription-manager service-level --org=test --list
Organization with id test could not be found.
^^^^^^^^^^^^^^^^^^^Unlocalized message.


Expected results:
They should be localized.

Additional info:

Comment 1 Lijun Li 2019-10-15 07:19:20 UTC
Reproduced on latest rhel8.1 build.
# subscription-manager service-level -h
使用:subscription-manager service-level [选项]

这个系统的管理服务等级

选项:

  --set=SET             Set service_level_agreement of system purpose
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^Unlocalized message.
  --unset               Unset service_level_agreement of system purpose
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^Unlocalized message.
# subscription-manager service-level --set="Premium"
service_level_agreement set to "Premium".
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^Unlocalized message.
# subscription-manager service-level --unset
service_level_agreement unset.
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^Unlocalized message.
# subscription-manager service-level --org=test --list
Organization with id test could not be found.
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^Unlocalized message.

Comment 5 John Sefler 2020-08-17 19:58:55 UTC
Testing version....

[root@hpe-dl380pgen8-02-vm-15 ~]# rpm -q subscription-manager
subscription-manager-1.27.13-1.el8.x86_64
[root@hpe-dl380pgen8-02-vm-15 ~]# rpm -q subscription-manager --changelog | grep 1663408
- 1663116: 1663390: 1663402: 1663408: Update translations (wpoteat@redhat.com)


[root@hpe-dl380pgen8-02-vm-15 ~]# LANG=zh_CN.utf-8 subscription-manager service-level -h
使用:subscription-manager service-level [选项]

这个系统的管理服务等级                                                        <====== PASSED

选项:
  -h, --help            显示此帮助信息并退出
  --proxy=PROXY_URL     代理服务器 URL 的格式为 proxy_hostname:proxy_port
  --proxyuser=PROXY_USER
                        使用基本验证的 HTTP 代理服务器的用户
  --proxypassword=PROXY_PASSWORD
                        使用基本验证的 HTTP 代理服务器的密码
  --noproxy=NO_PROXY    跳过 HTTP 代理的主机后缀
  --username=USERNAME   在服务器中进行验证时使用的用户名
  --password=PASSWORD   在服务器中进行验证时使用的密码
  --token=TOKEN         在服务器中进行验证时使用的令牌
  --org=ORG_KEY         在列出可用服务等级时,使用机构密钥指定一个机构。只能与 --list 合用。
  --set=SET             set service_level_agreement of system purpose      <====== FAILEDQA - CHANGED STRING (Set => set)
  --unset               unset service_level_agreement of system purpose    <====== FAILEDQA - CHANGED STRING (Unset => unset)
  --show                how this system's current service_level_agreement  <====== FAILEDQA - NEW UNTRANSLATED STRING
  --list                list all service_level_agreement available         <====== FAILEDQA - NEW UNTRANSLATED STRING
  --serverurl=SERVER_URL
                        服务器 URL格式为 https://hostname:port/prefix
  --insecure            不需要根据有效证书授权机构检查权利服务器 SSL 证书



[root@hpe-dl380pgen8-02-vm-15 ~]# LANG=zh_CN.utf-8 subscription-manager service-level --set="Premium"
service_level_agreement 设置为 "Premium"。                                  <====== PASSED

[root@hpe-dl380pgen8-02-vm-15 ~]# LANG=zh_CN.utf-8 subscription-manager service-level
当前服务等级:Premium                                                        <====== PASSED

[root@hpe-dl380pgen8-02-vm-15 ~]# LANG=zh_CN.utf-8 subscription-manager service-level --unset
service_level_agreement 取消设置。                                          <====== PASSED

[root@hpe-dl380pgen8-02-vm-15 ~]# LANG=zh_CN.utf-8 subscription-manager service-level
没有设置服务等级属性                                                         <====== PASSED

[root@hpe-dl380pgen8-02-vm-15 ~]# LANG=zh_CN.utf-8 subscription-manager service-level --org=test --list
没有找到 id 为 test 的 机构                                                 <====== PASSED

[root@hpe-dl380pgen8-02-vm-15 ~]# LANG=zh_CN.utf-8 subscription-manager service-level --set="Unavailable"
Warning: Provided value "Unavailable" is not included in the list of valid values  <====== FAILEDQA - NEW UNTRANSLATED STRING
 - Layered
 - AMC-Enhanced
 - Standard
 - Premium
 - Self-Support
service_level_agreement 设置为 "Unavailable"。                             <====== PASSED


Moving back to NEW/FailedQA

Comment 6 John Sefler 2020-08-17 20:02:05 UTC
Also note the typo in the msgstr...

[root@hpe-dl380pgen8-02-vm-15 ~]# subscription-manager service-level -h | grep "this system's current"
  --show                how this system's current service_level_agreement
                        ^^^
                        expected "show"

Comment 8 Lijun Li 2020-09-07 09:07:27 UTC
Reproduced on latest rhel8.3 build.

[root@localhost ~]# rpm -q subscription-manager
subscription-manager-1.27.15-1.el8.x86_64
[root@localhost ~]# subscription-manager service-level -h
使用:8 service-level [选项]

这个系统的管理服务等级

选项:
  -h, --help            显示此帮助信息并退出
  --proxy=PROXY_URL     代理服务器 URL 的格式为 proxy_hostname:proxy_port
  --proxyuser=PROXY_USER
                        使用基本验证的 HTTP 代理服务器的用户
  --proxypassword=PROXY_PASSWORD
                        使用基本验证的 HTTP 代理服务器的密码
  --noproxy=NO_PROXY    跳过 HTTP 代理的主机后缀
  --username=USERNAME   在服务器中进行验证时使用的用户名
  --password=PASSWORD   在服务器中进行验证时使用的密码
  --token=TOKEN         在服务器中进行验证时使用的令牌
  --org=ORG_KEY         在列出可用服务等级时,使用机构密钥指定一个机构。只能与 --list 合用。
  --set=SET             set service_level_agreement of system purpose         <====== FAILEDQA
  --unset               unset service_level_agreement of system purpose         <====== FAILEDQA
  --show                how this system's current service_level_agreement         <====== FAILEDQA & Typo how->show
  --list                list all service_level_agreement available         <====== FAILEDQA
  --serverurl=SERVER_URL
                        服务器 URL格式为 https://hostname:port/prefix
  --insecure            不需要根据有效证书授权机构检查权利服务器 SSL 证书
[root@localhost ~]# subscription-manager service-level --set="test"
Warning: Provided value "test" is not included in the list of valid values         <====== FAILEDQA
 - Premium
 - Self-Support
service_level_agreement 设置为 "test"。

Comment 13 RHEL Program Management 2021-02-01 07:31:38 UTC
After evaluating this issue, there are no plans to address it further or fix it in an upcoming release.  Therefore, it is being closed.  If plans change such that this issue will be fixed in an upcoming release, then the bug can be reopened.


Note You need to log in before you can comment on or make changes to this bug.